Subject: Re: Win32s/mingw32
From: [email-masked] (Peter Dalgaard BSA)

25 Apr 1998 04:41:48 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: Text/plain; charset="US-ASCII"
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

[email-masked] writes:

> 
> >   Peter Dalgaard BSA ([email-masked])
> >   23 Apr 1998 11:09:18 +0200
> >Gunther Ebert  writes:
> >>
> >> win32s doesn't support Win32 console programs. GUI programs that
> >> were built with the mingw32 compiler should work fine if they don't
> >> use anything that Win32s doesn't support (like multiple threads,
> >> console). Look into the Win32 API docs to see which Win32 functions
> >> are supported by Win32s and which are not.
> >> I don't believe that the mingw32 compiler produces a wrong exe format,
> >> the programs do even run under Windows95 :-)
> 
> win32s is still a 16-bit executable system, and the code for generating
> loads and stores is different than under MINGW32 or CYGWIN32.  I'd be
> surprised if you could get any kind of a gcc program to load under
> win32s.

Oh yes I can:

> >"error 21" under win32s. Same thing compiled with RSXNT runs on both
> >platforms. What gives?

The compiler in RSXNT *is* GCC.

I seem to be getting different responses from everyone on this one:

"It works"
"Can't work, only NT/Win32 supported"
"GCC won't do it"
"There's a missing .reloc section"

I'm inclined to believe the last one, from Jacob Navia.

Note that I'm not suggesting the the whole compiler/binutils suite
or cygwin.dll should be ported to win32s, but if it's only a matter of
some minor changes to the linker output, then it might be woth doing
for those of us who still want to be able to create binaries for
win3.x.. 

> >No handler for Win32 routine CRTDLL.107: _fpreset (called from 00401055)
> >
> That just means that Wine has a built-in crtdll.dll emulation, and
> someone forgot to include a stub for _fpreset.  If you go to the Wine

.... or strip the fpreset() call in crt0.o, yes, I found that out.

-- 
   O__  ---- Peter Dalgaard             Blegdamsvej 3  
  c/ /'_ --- Dept. of Biostatistics     2200 Cph. N   
 (*) \(*) -- University of Copenhagen   Denmark      Ph: (+45) 35327918
~~~~~~~~~~ - ([email-masked])             FAX: (+45) 35327907

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".